### Hierarchy

- SessionOptions
  - ServerOptions

## Index

### Properties

- allowHTTP1
- createConnection
- maxDeflateDynamicTableSize
- maxReservedRemoteStreams
- maxSendHeaderBlockLength
- paddingStrategy
- peerMaxConcurrentStreams
- selectPadding
- settings

## Properties

### Optional allowHTTP1

allowHTTP1: undefined | false | true

- Defined in node_modules/@types/node/http2.d.ts:428

### Optional createConnection

createConnection: undefined | function

Inherited from SessionOptions.createConnection

- Defined in node_modules/@types/node/http2.d.ts:418

### Optional maxDeflateDynamicTableSize

maxDeflateDynamicTableSize: undefined | number

Inherited from SessionOptions.maxDeflateDynamicTableSize

- Defined in node_modules/@types/node/http2.d.ts:411

### Optional maxReservedRemoteStreams

maxReservedRemoteStreams: undefined | number

Inherited from SessionOptions.maxReservedRemoteStreams

- Defined in node_modules/@types/node/http2.d.ts:412

### Optional maxSendHeaderBlockLength

maxSendHeaderBlockLength: undefined | number

Inherited from SessionOptions.maxSendHeaderBlockLength

- Defined in node_modules/@types/node/http2.d.ts:413

### Optional paddingStrategy

paddingStrategy: undefined | number

Inherited from SessionOptions.paddingStrategy

- Defined in node_modules/@types/node/http2.d.ts:414

### Optional peerMaxConcurrentStreams

peerMaxConcurrentStreams: undefined | number

Inherited from SessionOptions.peerMaxConcurrentStreams

- Defined in node_modules/@types/node/http2.d.ts:415

### Optional selectPadding

selectPadding: undefined | function

Inherited from SessionOptions.selectPadding

- Defined in node_modules/@types/node/http2.d.ts:416

### Optional settings

settings: Settings

Inherited from SessionOptions.settings

- Defined in node_modules/@types/node/http2.d.ts:417

Generated using TypeDoc